Subject: bug#50344: C-x v keybinding for vc-print-branch-log

From: Dmitry Gutov <[email-masked]>
Date: Wed, 8 Sep 2021 05:50:09 +0300

On 04.09.2021 09:33, Lars Ingebrigtsen wrote:

>> On 03.09.2021 19:18, Juri Linkov wrote:
>>> I think we want more to remove another duplicate key 'C-x v s'
>>> because then we could bind it to 'vc-log-search'.
>>
>> That works for me. And indeed vc-log-search seems more important.
>>
>> What do others think?
> 
> Then it would be only on `B c' in vc-dir-mode?

Yup.

> `C-x v s' isn't very
> mnemonic,

Apparently the original name was "snapshot". Like, when you create a 
tag, you snapshot the whole current state of the repo.

See commit 370fded4f6c where the mass renaming was made.

> but would removing it from global map inconvenience people?
> (I've never used it myself.)

I don't use a whole bunch of commands that are easy to type in the 
console (and fish completion helps a lot), so maybe others will chime in.